UptimeUptime Wiki

Appliance

Parameters

Path Parameters
id*integer

Entity id

Formatint64
Range0 <= value

Try the endpoint

GET
/api/v1/network/appliances/{id}

Code example

curl -X GET "https://example.com/api/v1/network/appliances/0"

Response example

{  "id": 0,  "display_name": "string",  "display_name_plain": "string",  "rack_id": 0,  "start_u": 0,  "u_size": 0,  "az_id": 0,  "inv_status": "string",  "appliance_kind": "string",  "sku_name": "string",  "gateway_addon": true,  "fabric_capacity_gbps": 0,  "fabric_load_gbps": 0.1,  "fabric_saturated": true,  "forwarding_ceiling_gbps": 0.1,  "egress_gbps": 0.1,  "ingress_gbps": 0.1,  "wan_ingress_gbps": 0.1,  "wan_egress_gbps": 0.1,  "lan_ingress_gbps": 0.1,  "lan_egress_gbps": 0.1,  "threats": [    {      "class": "string",      "label": "string",      "label_eng": "string",      "reaching": 0.1,      "mitigated": 0.1,      "residual": 0.1,      "capacity": 0.1,      "defense_capable": true,      "unit": "string"    }  ],  "ports": [    {      "index": 0,      "label": "string",      "link": "Down",      "active": true,      "cable_ids": [        0      ],      "peer": null,      "port_id": 0,      "state": "string",      "media": "string",      "gbps_tx": 0.1,      "gbps_rx": 0.1,      "link_capacity_gbps": 0,      "error_count": 0,      "bytes_egress_total": 0,      "bytes_ingress_total": 0,      "link_flaps": 0,      "cable_able": true,      "connector": "string",      "color": "string",      "breakout_used_gbps": 0,      "breakout_capacity_gbps": 0,      "breakout_leg_count": 0    }  ],  "inspection_capacity_gbps": 0,  "inspection_load_gbps": 0.1,  "inspection_state": "string",  "inspection_saturated": true,  "inspection_enabled": true,  "enabled_functions": [    "string"  ],  "owned_functions": [    "string"  ],  "dropped_per_sec": 0.1,  "events_per_sec": 0.1,  "scrubbed_gbps": 0.1,  "indicator": "Off",  "monthly_opex_dollars": 0.1,  "powered": true,  "power_feeds": 0}

Response body

200The entity
application/json

On this page